function redirectToPreferedHome() {
    var tabPgSettings = browser.storage.local.get();
    tabPgSettings.then(finishLoad, onError);
}

function finishLoad(toLoadSettings) {
    var loadSelectedPage = browser.tabs;
    var pageToLoad = toLoadSettings.userSelectedTabPage;

    console.log("Trying to load settings if any...");
    if (pageToLoad !== "Default" && pageToLoad !== undefined) {
        loadSelectedPage.update({url: pageToLoad});
    } else {
        loadSelectedPage.update({url: "https://www.google.com/"});
    }
}

function onError(error) { console.log(`Error: ${error}`); }


redirectToPreferedHome();
